// WARNING: This file was automatically generated. Do not edit it directly,
//          or you will lose your changes.

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
*/
package javax.faces.component;

import javax.el.ValueExpression;
import javax.faces.context.FacesContext;

/**
 */
public class UISelectItem extends UIComponentBase
{

  static public final String COMPONENT_FAMILY =
    "javax.faces.SelectItem";
  static public final String COMPONENT_TYPE =
    "javax.faces.SelectItem";

  /**
   * Construct an instance of the UISelectItem.
   */
  public UISelectItem()
  {
    setRendererType(null);
  }

  // Property: value
  private Object _value;

  /**
   * Gets The initial value of this component.
   *
   * @return  the new value value
   */
  public Object getValue()
  {
    if (_value != null)
    {
      return _value;
    }
    ValueExpression expression = getValueExpression("value");
    if (expression != null)
    {
      return expression.getValue(getFacesContext().getELContext());
    }
    return null;
  }

  /**
   * Sets The initial value of this component.
   * 
   * @param value  the new value value
   */
  public void setValue(Object value)
  {
    this._value = value;
  }

  // Property: itemDisabled
  private boolean _itemDisabled;
  private boolean _itemDisabledSet;

  /**
   * Gets Determine whether this item can be chosen by the user.
   * When true, this item cannot be chosen by the user. If this method is
   * ever called, then any EL-binding for the disabled property will be ignored.
   *
   * @return  the new itemDisabled value
   */
  public boolean isItemDisabled()
  {
    if (_itemDisabledSet)
    {
      return _itemDisabled;
    }
    ValueExpression expression = getValueExpression("itemDisabled");
    if (expression != null)
    {
      return (Boolean)expression.getValue(getFacesContext().getELContext());
    }
    return false;
  }

  /**
   * Sets Determine whether this item can be chosen by the user.
   * When true, this item cannot be chosen by the user. If this method is
   * ever called, then any EL-binding for the disabled property will be ignored.
   * 
   * @param itemDisabled  the new itemDisabled value
   */
  public void setItemDisabled(boolean itemDisabled)
  {
    this._itemDisabled = itemDisabled;
    this._itemDisabledSet = true;
  }

  // Property: itemEscaped
  private boolean _itemEscaped;
  private boolean _itemEscapedSet;

  /**
   * Gets The escape setting for the label of this selection item.
   *
   * @return  the new itemEscaped value
   */
  public boolean isItemEscaped()
  {
    if (_itemEscapedSet)
    {
      return _itemEscaped;
    }
    ValueExpression expression = getValueExpression("itemEscaped");
    if (expression != null)
    {
      return (Boolean)expression.getValue(getFacesContext().getELContext());
    }
    return false;
  }

  /**
   * Sets The escape setting for the label of this selection item.
   * 
   * @param itemEscaped  the new itemEscaped value
   */
  public void setItemEscaped(boolean itemEscaped)
  {
    this._itemEscaped = itemEscaped;
    this._itemEscapedSet = true;
  }

  // Property: itemDescription
  private String _itemDescription;

  /**
   * Gets For use in development tools.
   *
   * @return  the new itemDescription value
   */
  public String getItemDescription()
  {
    if (_itemDescription != null)
    {
      return _itemDescription;
    }
    ValueExpression expression = getValueExpression("itemDescription");
    if (expression != null)
    {
      return (String)expression.getValue(getFacesContext().getELContext());
    }
    return null;
  }

  /**
   * Sets For use in development tools.
   * 
   * @param itemDescription  the new itemDescription value
   */
  public void setItemDescription(String itemDescription)
  {
    this._itemDescription = itemDescription;
  }

  // Property: itemLabel
  private String _itemLabel;

  /**
   * Gets The string which will be presented to the user for this option.
   *
   * @return  the new itemLabel value
   */
  public String getItemLabel()
  {
    if (_itemLabel != null)
    {
      return _itemLabel;
    }
    ValueExpression expression = getValueExpression("itemLabel");
    if (expression != null)
    {
      return (String)expression.getValue(getFacesContext().getELContext());
    }
    return null;
  }

  /**
   * Sets The string which will be presented to the user for this option.
   * 
   * @param itemLabel  the new itemLabel value
   */
  public void setItemLabel(String itemLabel)
  {
    this._itemLabel = itemLabel;
  }

  // Property: itemValue
  private Object _itemValue;

  /**
   * Gets The value for this Item.
   *
   * @return  the new itemValue value
   */
  public Object getItemValue()
  {
    if (_itemValue != null)
    {
      return _itemValue;
    }
    ValueExpression expression = getValueExpression("itemValue");
    if (expression != null)
    {
      return expression.getValue(getFacesContext().getELContext());
    }
    return null;
  }

  /**
   * Sets The value for this Item.
   * 
   * @param itemValue  the new itemValue value
   */
  public void setItemValue(Object itemValue)
  {
    this._itemValue = itemValue;
  }

  @Override
  public Object saveState(FacesContext facesContext)
  {
    Object[] values = new Object[9];
    values[0] = super.saveState(facesContext);
    values[1] = _value;
    values[2] = _itemDisabled;
    values[3] = _itemDisabledSet;
    values[4] = _itemEscaped;
    values[5] = _itemEscapedSet;
    values[6] = _itemDescription;
    values[7] = _itemLabel;
    values[8] = _itemValue;

    return values;
  }

  @Override
  public void restoreState(FacesContext facesContext, Object state)
  {
    Object[] values = (Object[])state;
    super.restoreState(facesContext,values[0]);
    _value = values[1];
    _itemDisabled = (Boolean)values[2];
    _itemDisabledSet = (Boolean)values[3];
    _itemEscaped = (Boolean)values[4];
    _itemEscapedSet = (Boolean)values[5];
    _itemDescription = (String)values[6];
    _itemLabel = (String)values[7];
    _itemValue = values[8];
  }

  @Override
  public String getFamily()
  {
    return COMPONENT_FAMILY;
  }
}
